package com.example.catchTheLetters.service;

import com.example.catchTheLetters.entity.Level;
import com.example.catchTheLetters.utils.R;
import java.util.List;

/**
 * @author 慕华
 * @date 2024/4/10
 * @Version 1.0
 * @description
 */
public interface LevelService {
    /**
     *
     * @param id
     * @return token
     */


    R<Level> levelDetail(Long id);

    /**
     *
     * @return token
     */
    R<List<Level>> list();

    /**
     * @param levelId
     * @return 关卡排行信息
     */
    Integer getRankInfo(String levelId);

    /**
     *
     * @param level
     * @return 关卡创建是否成功
     */
    boolean LevelCreate(Level level);

}
