package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 关卡结算信息类
 *
 * @author spyn
 */
@Data
public class ScoreInfo implements Serializable {
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 关卡ID
     */
    private Long levelId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 分数
     */
    private Integer score;
    /**
     * 时间（UNIX时间戳）
     */
    private Long time;
    public ScoreInfo(Long userId,Long levelId,String username,Integer score, Long time){
        this.userId=userId;
        this.levelId=levelId;
        this.username=username;
        this.score=score;
        this.time=time;

    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

}
